#ifndef _TLS_MANAGER_H_
#define _TLS_MANAGER_H_

#include "channel_hook_general.h"

class CTLSManager
{
    public:
	CTLSManager();
	~CTLSManager();

	bool init();
	void done();

	CThreadContext* get_current_thread_context();
	void release_tls();

    private:
	DWORD tls_index;
};

//>>=================================================================================================
//  DESCRIPTION	    :	External definition of the single instance of TLS manager class
//<<=================================================================================================
extern CTLSManager tls_manager;

#endif	
