// ClientInfo.h : Declaration of the CClientInfo

#ifndef __CLIENTINFO_H_
#define __CLIENTINFO_H_

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CClientInfo
class ATL_NO_VTABLE CClientInfo : 
	public CComObjectRootEx<CComMultiThreadModel>,
	public CComCoClass<CClientInfo, &CLSID_ClientInfo>,
	public IClientInfo
{
public:
	CClientInfo()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_CLIENTINFO)
DECLARE_NOT_AGGREGATABLE(CClientInfo)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(CClientInfo)
	COM_INTERFACE_ENTRY(IClientInfo)
END_COM_MAP()

// IClientInfo
public:
	STDMETHOD(GetProcessID)(unsigned long* pid);
	STDMETHOD(RevertToSelf)();
	STDMETHOD(ImpersonateCaller)();
	STDMETHOD(GetComputerName)(BSTR* computer_name);
};

#endif //__CLIENTINFO_H_
